
Core - Bug # 57869

Status: Rejected Priority: Should have
Author: Helmut Hummel Category: Backend API
Created: 2014-04-12 Assigned To:
Updated: 2014-09-06 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Remove side effects form TCA cache building
Description

Files in Configuration/TCA/table_name.php are designed to only
introduce and define the TCA array of the given table.

It was never designed to change or override already introduced TCA.

This was however possible because the buildTca method uses
the global TCA array when assembling all arrays.

This possibility should be removed so that changing TCA
is only possible in ext_tables.php or the upcoming new
file as described in #57862

Related issues:
related to Core - Story # 57862: Add possibility to make all TCA additions ca... Resolved 2014-04-12
related to Core - Bug # 58004: Categories not visible Resolved 2014-04-17

History
#1 - 2014-04-12 22:35 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29435

#2 - 2014-04-13 11:49 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29435

#3 - 2014-04-15 13:30 - Helmut Hummel
- Status changed from Under Review to On Hold

#4 - 2014-09-06 12:29 - Helmut Hummel
- Status changed from On Hold to Rejected
